## com.vividsolutions.jts.geom
Class CoordinateArrays.ForwardComparator

    java.lang.Object
      com.vividsolutions.jts.geom.CoordinateArrays.ForwardComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  CoordinateArrays

public static class CoordinateArrays.ForwardComparator
extends java.lang.Object
implements java.util.Comparator

A `Comparator` for `Coordinate` arrays in the forward direction of their coordinates, using lexicographic ordering.

Constructor Summary
`CoordinateArrays.ForwardComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### CoordinateArrays.ForwardComparator

    public CoordinateArrays.ForwardComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`